Create Dataprovider

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/dataprovider
API call form
Examples
List of examples
  • Adding PostgreSQL datasets using an already existing account
  • Adding AWS Athena datasets using an already existing account.
  • Adding Clickhouse datasets using an already existing account.
  • Adding Clickhouse SQL datasets using an already existing account.
  • Adding BigQuery datasets using an already existing account
  • Adding BigQuery SQL datasets using an already existing account
  • Adding Databricks datasets using an already existing account
  • Adding ElasticSearch datasets using an already existing account.
  • Adding MariaDB datasets using an already existing account
  • Adding MariaDB SQL datasets using an already existing account
  • Adding MongoDB datasets using an already existing account
  • Adding MySQL datasets using an already existing account
  • Adding MySQL SQL datasets using an already existing account
  • Adding Oracle datasets using an already existing account
  • Adding PostgreSQL datasets using an already existing account
  • Adding PostgreSQL SQL datasets using an already existing account
  • Adding Presto datasets using an already existing account.
  • Adding Presto datasets using an already existing account.
  • Adding Redshift datasets using an already existing account
  • Adding Redshift SQL datasets using an already existing account
  • Adding SAP Hana datasets using an already existing account
  • Adding Snowflake datasets using an already existing account
  • Adding Snowflake SQL datasets using an already existing account
  • Adding SQL Server datasets using an already existing account
  • Adding SQL Server SQL datasets using an already existing account
  • Adding Azure Synapse datasets using an already existing account
  • Adding Trino datasets using an already existing account.
  • Adding Trino datasets using an already existing account.
  • Adding Plugin datasets using an already existing account
Description

Add two ElasticSearch datasets (indeces) using an already existing account. This will create the Securable and Column entities and make them available for querying.

The fields to be specified are:

  • Connection ID: The ID of the Connection. Retrieve the ID to specify as detailed here

  • action: create

  • provider: elasticsearch

  • datasets: array of one or multiple datasets (indeces) that you would like to add.

Notes :

  1. Note that text fields you want to use for filtering, grouping or aggregations must either be of the type keyword or of the type text but have a subfield of the type keyword . More information on this can be found in the ElasticSearch docs .

  2. You can only select indexes to add as a dataset. If you want to add a dataset that uses a "*" wildcard naming for the source index, you can create an alias that references an index with a wildcard. Make sure the (readonly) user has sufficient permissions to list/query aliases too in that case. Example:

    POST _aliases
    {
        "actions": [
            {
                "add": {
                    "index": "logs-*",
                    "alias": "logs"
                }
            }
        ]
    }
Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 2,
  "data": [
    {
      "rows": 0,
      "featured": false,
      "modified_at": "2024-08-14T08:54:56.248Z",
      "cache": 0,
      "uses_clickhouse_experimental": false,
      "meta_sync_interval": 1,
      "meta_sync_inherit": true,
      "meta_sync_enabled": true,
      "id": "dff8ffd5-366f-4a5a-bb7a-c3b32fa2b41a",
      "type": "dataset",
      "description": null,
      "account_id": "098db254-98c9-45c0-963d-bcf8ac729b8c",
      "source_dataset": "098db254-98c9-45c0-963d-bcf8ac729b8c",
      "subtype": "elasticsearch",
      "storage": "client",
      "source_sheet": "customers",
      "name": {
        "en": "customers",
        "nl": "customers",
        "fr": "customers"
      },
      "updated_at": "2024-08-14T08:54:56.263Z",
      "created_at": "2024-08-14T08:54:56.248Z",
      "contents": null,
      "css": null,
      "transformation": null,
      "subtitle": null,
      "source_query": null,
      "is_variant": false,
      "migrated_rows": null,
      "last_metadata_sync_at": null,
      "last_metadata_sync_attempt_at": "2024-08-14T08:54:56.249Z",
      "original_id": null,
      "acceleration_id": null,
      "template_id": null,
      "modifier_id": "abca9830-0dad-4b11-a6d4-23972c124020",
      "owner_id": "abca9830-0dad-4b11-a6d4-23972c124020",
      "source_template_id": null
    },
    {
      "rows": 0,
      "featured": false,
      "modified_at": "2024-08-14T08:54:56.248Z",
      "cache": 0,
      "uses_clickhouse_experimental": false,
      "meta_sync_interval": 1,
      "meta_sync_inherit": true,
      "meta_sync_enabled": true,
      "id": "038c9966-6c0b-4faa-a600-46c5c34b04e2",
      "type": "dataset",
      "description": null,
      "account_id": "098db254-98c9-45c0-963d-bcf8ac729b8c",
      "source_dataset": "098db254-98c9-45c0-963d-bcf8ac729b8c",
      "subtype": "elasticsearch",
      "storage": "client",
      "source_sheet": "orders",
      "name": {
        "en": "orders",
        "nl": "orders",
        "fr": "orders"
      },
      "updated_at": "2024-08-14T08:54:56.272Z",
      "created_at": "2024-08-14T08:54:56.248Z",
      "contents": null,
      "css": null,
      "transformation": null,
      "subtitle": null,
      "source_query": null,
      "is_variant": false,
      "migrated_rows": null,
      "last_metadata_sync_at": null,
      "last_metadata_sync_attempt_at": "2024-08-14T08:54:56.249Z",
      "original_id": null,
      "acceleration_id": null,
      "template_id": null,
      "modifier_id": "abca9830-0dad-4b11-a6d4-23972c124020",
      "owner_id": "abca9830-0dad-4b11-a6d4-23972c124020",
      "source_template_id": null
    }
  ]
}